### Method

# Fwupd Request get_device_id

since: 1.6.2

#### Declaration [src]

    const gchar*
    fwupd_request_get_device_id (
      FwupdRequest* self
    )

#### Description [src]

Gets the device_id that created the request.

Available since: 1.6.2

Gets property | `Fwupd.Request:device-id`

#### Return value

Type: `const gchar*`

The device_id, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.